<template>
    <v-content>
      <v-container class="fill-height" fluid>
        <v-row align="center" justify="center">
          <v-col cols="12" sm="8" md="5">
            <router-view></router-view>
            <!-- <Loading :visible="isLoading" /> -->
          </v-col>
        </v-row>
      </v-container>
    </v-content>
</template>

<script>
import { mapFields } from 'vuex-map-fields';
import { mapActions } from 'vuex';
import NotificationMixin from '../../mixins/NotificationMixin';
// import Loading from '../../components/Loading';
// import EmailInputPassword from '../../components/user/EmailInputPassword';

export default {
  name: 'ForgetPassView',
  mixins: [NotificationMixin],
  components: {
    // EmailInputPassword,
    // Loading
  },
  computed: {
    ...mapFields('user', ['userInfos', 'loggedIn', 'error', 'isLoading']),

  },
  methods: {
    handleLogin(value) {
      this.login(value)
    },
    ...mapActions('user', ['login'])
    
  },
  watch: {
    loggedIn(newData) {
      if(newData) {
        this.$router.push({name : 'home'});
      }
    },
    error(newError) {
      if (newError.code === 401) {
        this.showMessage('Mauvais identifiants ou email pas encore vérifié !' , 'error')
      }
    }
  },

};
</script>
